# Gentoo
Let’s take one step further into the “make your own distro” world and
the memes. Although Gentoo is not *that* hard to install, Gentoo does
not come with **any** precompiled package. Instead, you will have to
compile everything yourself, and if you don’t know how to
[RTFM](https://xkcd.com/293/), this distribution will make sure that
you will. While yes, it *is* CPU intensive to maintain such a
distribution, every compilable package will be able to fully use the
entire set of available assembly calls your CPU has and you *might*
get some performance boost from it. Keyword: *might*. In a lot of
cases, you might not actually notice it, or if you do it might just be
your imagination. But I won’t deny it’s a great distro for tinkerers,
and you can easily make your own packages.

Documentation for this distribution is pretty great and it can give
you some nice insights on other distributions too, and you can choose
whether to use Gentoo’s own init system or Systemd.

As you might have guessed it, this is clearly not a distribution made
for beginners, and avoid installing it on machines that don’t have
good performance unless you don’t value your time. Below is the
typical evolution of a Gentoo user.

![https://www.explainxkcd.com/wiki/index.php/456:_Cautionary](/img/xkcd_456_cautionary.png "This really is a true story, and she doesn't know I put it in my comic because her wifi hasn't worked for weeks.")

* [Homepage](https://www.gentoo.org/)
* [Download](https://www.gentoo.org/downloads/)
