# GuixSD
Similar to NixOS is GuixSD, a libre Linux distribution based on the
`guix` package manager. It’s basically the same distribution as NixOS
except that the configuration files for the system are written not in
a special DSL but with Scheme (a Lisp dialect). So if you are already
familiar with Lisp or even with Scheme itself, you should be able to
learn how to use and maintain GuixSD pretty fast.

GuixSD has a pretty extensive documentation, although I don’t find it
to always be very clear.

Just like above, be aware not to mistake Guix for GuixSD; Guix is a
package manager that can be installed on a lot of UNIX-like systems
(mainly Linux ones, I don’t know if it’s possible to install it
elsewhere aside from GNU/Hurd) while GuixSD is the whole operating
system based on this package manager.

As a Lisp lover, I would definitively switch to this operating system
if it weren’t for its hostility towards nonfree and proprietary
software and packages –my WiFi won’t work unless I install the nonfree
Linux kernel from unofficial repositories, kernel which is recompiled
each time it is upgraded– and a lot of software and packages need
custom packaging so you can install them. I love to tinker, but as
much as spending literally hours on getting everything I need
correctly packaged for GuixSD. Some people are fine with that though,
such as [SystemCrafters](https://systemcrafters.net/) who creates
great content for Emacs and Guix users.

* [Homepage](https://guix.gnu.org/)
* Downloads:
  * [Stable](https://guix.gnu.org/en/download/)
  * [Latest](https://guix.gnu.org/en/download/latest/)
